---
document: modulemd
version: 2
data:
  stream: 1.4
  summary: 389 Directory Server (base)
  description: 389 Directory Server is an LDAPv3 compliant server.  The base package
    includes the LDAP server and command line utilities for server administration.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      nodejs:
      - 10
      platform:
      - el8
    requires:
      platform:
      - el8
  filter:
    rpms:
    - cockpit-389-ds
  components:
    rpms:
      389-ds-base:
        rationale: Package in api
        ref: stream-1.4-rhel-8.2.0
        arches:
        - aarch64
        - ppc64le
        - s390x
        - x86_64
  name: 389-ds
  artifacts:
    rpms:
    - cockpit-389-ds-0:1.4.2.4-10.module+el8.2.0+7749+4a513fb2.noarch
    - python3-lib389-0:1.4.2.4-10.module+el8.2.0+7749+4a513fb2.noarch
  version: '20200912215456'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: go-toolset
  summary: Go
  description: Go Tools and libraries
  stream: rhel8
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      go-toolset:
      - rhel8
    requires:
      platform:
      - el8
  profiles:
    common:
      rpms:
      - go-toolset
  api:
    rpms:
    - golang
  buildopts:
    rpms:
      whitelist:
      - go-toolset-1.10
      - go-toolset-1.10-golang
      - go-toolset
      - go-toolset-golang
      - golang
      - delve
  components:
    rpms:
      go-toolset:
        rationale: Meta package for go-toolset providing scl enable scripts.
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
      golang:
        rationale: Package providing the Go compiler toolchain.
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 1
      delve:
        rationale: A debugger for the Go programming language
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 2
  artifacts:
    rpms:
    - golang-docs-0:1.13.15-1.module+el8.2.0+7662+fa98b974.noarch
    - golang-misc-0:1.13.15-1.module+el8.2.0+7662+fa98b974.noarch
    - golang-src-0:1.13.15-1.module+el8.2.0+7662+fa98b974.noarch
    - golang-tests-0:1.13.15-1.module+el8.2.0+7662+fa98b974.noarch
  version: '20200912211254'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: httpd
  stream: 2.4
  summary: Apache HTTP Server
  description: Apache httpd is a powerful, efficient, and extensible HTTP server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    documentation: https://httpd.apache.org/docs/2.4/
    tracker: https://bz.apache.org/bugzilla/
  profiles:
    common:
      rpms:
      - httpd
      - httpd-filesystem
      - httpd-tools
      - mod_ssl
      - mod_http2
    devel:
      rpms:
      - httpd
      - httpd-filesystem
      - httpd-devel
      - httpd-tools
    minimal:
      rpms:
      - httpd
  api:
    rpms:
    - httpd
    - httpd-devel
    - httpd-filesystem
    - mod_ssl
  components:
    rpms:
      httpd:
        rationale: Apache httpd
        ref: stream-2.4-rhel-8.2.0
        buildorder: 10
      mod_http2:
        rationale: HTTP/2 support for Apache httpd
        ref: stream-2.4-rhel-8.2.0
        buildorder: 20
      mod_md:
        rationale: Certificate provisioning using ACME for Apache httpd
        ref: stream-2.4-rhel-8.2.0
        buildorder: 20
  artifacts:
    rpms:
    - mod_http2-0:1.11.3-3.module+el8.2.0+7758+84b4ca3e.1.i686
  version: '20200928012213'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: llvm-toolset
  stream: rhel8
  summary: LLVM
  description: LLVM Tools and libraries
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  profiles:
    common:
      rpms:
      - llvm-toolset
  api:
    rpms:
    - clang
    - clang-analyzer
    - clang-libs
    - clang-devel
    - clang-tools-extra
    - git-clang-format
    - lldb
    - lldb-devel
    - llvm
    - llvm-devel
    - llvm-libs
    - lld
    - lld-libs
  components:
    rpms:
      llvm-toolset:
        rationale: Meta package for llvm-toolset providing scl enable scripts.
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
      python-lit:
        rationale: Lit test runner for LLVM
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
      libomp:
        rationale: LLVM OpenMP runtime
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
      llvm:
        rationale: LLVM tools and libraries
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
      compiler-rt:
        rationale: LLVM compiler intrinsic and sanitizer libraries
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 1
      lld:
        rationale: LLVM linker
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 1
      clang:
        rationale: clang tools and libraries
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 1
      lldb:
        rationale: lldb debugger
        multilib:
        - x86_64
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 2
  artifacts:
    rpms:
    - llvm-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.i686
    - llvm-devel-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.i686
    - llvm-doc-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.noarch
    - llvm-googletest-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.i686
    - llvm-libs-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.i686
    - llvm-static-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.i686
    - llvm-test-0:9.0.1-5.module+el8.2.0+6779+3ab48a6e.i686
  version: '20200729140309'
  arch: i686
...
---
document: modulemd
version: 2
data:
  summary: Apache module suporting OpenID Connect authentication
  description: This module enables an Apache 2.x web server to operate as an OpenID
    Connect Relying Party and/or OAuth 2.0 Resource Server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: https://github.com/zmartzone/mod_auth_openidc
    documentation: https://github.com/zmartzone/mod_auth_openidc/wiki
    tracker: https://github.com/zmartzone/mod_auth_openidc/issues
  components:
    rpms:
      mod_auth_openidc:
        rationale: Provides the core functionality.
        ref: stream-mod_auth_open_idc-2.3
        buildorder: 2
      cjose:
        rationale: Provides JOSE support
        ref: stream-mod_auth_open_idc-2.3
        buildorder: 1
  stream: '2.3'
  name: mod_auth_openidc
  artifacts:
    rpms:
    - mod_auth_openidc-0:2.3.7-4.module+el8.2.0+6919+ac02cfd2.3.i686
  version: '20200729035636'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: mysql
  stream: 8.0
  summary: MySQL Module
  description: MySQL is a multi-user, multi-threaded SQL database server. MySQL is
    a client/server implementation consisting of a server daemon (mysqld) and many
    different client programs and libraries. The base package contains the standard
    MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: https://dev.mysql.com/
    documentation: https://dev.mysql.com/doc/refman/8.0/en/
    tracker: http://bugzilla.redhat.com/
  profiles:
    server:
      rpms:
      - mysql-server
    client:
      rpms:
      - mysql
  api:
    rpms:
    - mysql
    - mysql-server
  filter:
    rpms:
    - mecab-devel
    - rapidjson
    - rapidjson-devel
    - rapidjson-doc
  buildopts:
    rpms:
      macros: '%runselftest 0

        %check_testsuite 1

        '
  components:
    rpms:
      mysql:
        rationale: MySQL server package..
        ref: stream-8.0-rhel-8.0.0
        buildorder: 10
      mecab:
        rationale: A dependency of mysql
        ref: stream-8.0
        buildorder: 8
      mecab-ipadic:
        rationale: A dictionary for mecab
        ref: stream-8.0
        buildorder: 9
      rapidjson:
        rationale: A build-time only dependency of mysql
        ref: dbf36eb90
        buildorder: 7
  artifacts:
    rpms:
    - mysql-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
    - mysql-common-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
    - mysql-devel-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
    - mysql-errmsg-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
    - mysql-libs-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
    - mysql-server-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
    - mysql-test-0:8.0.21-1.module+el8.2.0+7855+47abd494.i686
  version: '20200923185739'
  arch: i686
...
---
document: modulemd
version: 2
data:
  stream: 10
  summary: Javascript runtime
  description: Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: '%_with_bootstrap 1

        '
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-10-rhel-8.2.0
        buildorder: 10
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-rhel-8.0-rhel-8.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-rhel-8.0-rhel-8.2.0
        buildorder: 100
  name: nodejs
  artifacts:
    rpms:
    - nodejs-1:10.21.0-3.module+el8.2.0+7071+d2377ea3.i686
    - nodejs-devel-1:10.21.0-3.module+el8.2.0+7071+d2377ea3.i686
    - nodejs-docs-1:10.21.0-3.module+el8.2.0+7071+d2377ea3.noarch
    - nodejs-full-i18n-1:10.21.0-3.module+el8.2.0+7071+d2377ea3.i686
    - npm-1:6.14.4-1.10.21.0.3.module+el8.2.0+7071+d2377ea3.i686
  version: '20200710214515'
  arch: i686
...
---
document: modulemd
version: 2
data:
  summary: PostgreSQL server and client module
  description: PostgreSQL is an advanced Object-Relational database management system
    (DBMS). The postgresql-server package contains the programs needed to create and
    run a PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/10/index.html
    tracker: http://bugzilla.redhat.com
  api:
    rpms:
    - postgresql
    - postgresql-server
  profiles:
    server:
      rpms:
      - postgresql-server
    client:
      rpms:
      - postgresql
  components:
    rpms:
      postgresql:
        rationale: Module API.
        ref: stream-10
  stream: '10'
  name: postgresql
  artifacts:
    rpms:
    - postgresql-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-contrib-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-docs-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-plperl-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-plpython3-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-pltcl-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-server-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-server-devel-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-static-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-test-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-test-rpm-macros-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-upgrade-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
    - postgresql-upgrade-devel-0:10.14-1.module+el8.2.0+7801+be0fed80.i686
  version: '20200913013804'
  arch: i686
...
---
document: modulemd
version: 2
data:
  summary: Rust
  description: Rust Toolset
  name: rust-toolset
  stream: rhel8
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      llvm-toolset:
      - rhel8
      rust-toolset:
      - rhel8
    requires:
      platform:
      - el8
      llvm-toolset:
      - rhel8
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust-toolset:
        rationale: Meta package for rust-toolset.
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
      rust:
        rationale: Rust compiler and tools
        ref: stream-rhel-8-rhel-8.2.0
        buildorder: 0
  artifacts:
    rpms:
    - cargo-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - cargo-doc-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.noarch
    - clippy-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rls-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rust-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rust-analysis-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rust-debugger-common-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.noarch
    - rust-doc-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rust-gdb-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.noarch
    - rust-lldb-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.noarch
    - rust-src-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.noarch
    - rust-std-static-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rust-toolset-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
    - rustfmt-0:1.43.1-1.module+el8.2.1+6788+cceb3c81.i686
  version: '20200729195717'
  arch: i686
...
---
document: modulemd
version: 2
data:
  stream: 12
  summary: Javascript runtime
  description: Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: '%_with_bootstrap 1

        '
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-12-rhel-8.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-12-rhel-8.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-12-rhel-8.2.0
        buildorder: 10
  name: nodejs
  artifacts:
    rpms:
    - nodejs-1:12.18.2-1.module+el8.2.0+7233+61d664c1.i686
    - nodejs-devel-1:12.18.2-1.module+el8.2.0+7233+61d664c1.i686
    - nodejs-docs-1:12.18.2-1.module+el8.2.0+7233+61d664c1.noarch
    - nodejs-docs-1:12.18.4-2.module+el8.2.0+8361+192e434e.noarch
    - nodejs-full-i18n-1:12.18.2-1.module+el8.2.0+7233+61d664c1.i686
    - npm-1:6.14.5-1.12.18.2.1.module+el8.2.0+7233+61d664c1.i686
  version: '20201023205736'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: php
  stream: 7.3
  summary: PHP scripting language
  description: php 7.3 module
  license:
    module:
    - GPLv2+
    content:
    - BSD
    - MIT
    - PHP
    - Zend
  dependencies:
  - buildrequires:
      httpd:
      - 2.4
      nginx:
      - 1.14
      platform:
      - el8
    requires:
      httpd:
      - 2.4
      nginx: []
      platform:
      - el8
  references:
    documentation: http://php.net/
    tracker: https://bugs.php.net/
  profiles:
    common:
      rpms:
      - php-cli
      - php-common
      - php-fpm
      - php-json
      - php-mbstring
      - php-xml
    devel:
      rpms:
      - libzip
      - php-cli
      - php-common
      - php-devel
      - php-fpm
      - php-json
      - php-mbstring
      - php-pear
      - php-pecl-zip
      - php-process
      - php-xml
    minimal:
      rpms:
      - php-cli
      - php-common
  api:
    rpms:
    - php-fpm
  components:
    rpms:
      libzip:
        rationale: ZIP library
        ref: stream-php-7.3-rhel-8.2.0
        buildorder: 1
      php:
        rationale: Module API.
        ref: stream-7.3-rhel-8.2.0
        buildorder: 1
      php-pear:
        rationale: Extension management
        ref: stream-php-7.3-rhel-8.2.0
        buildorder: 2
      php-pecl-apcu:
        rationale: APCu extension
        ref: stream-php-7.3-rhel-8.2.0
        buildorder: 3
      php-pecl-rrd:
        rationale: RRD extension
        ref: stream-php-7.3-rhel-8.2.0
        buildorder: 3
      php-pecl-xdebug:
        rationale: Xdebug extension
        ref: stream-php-7.3-rhel-8.2.0
        buildorder: 3
      php-pecl-zip:
        rationale: ZIP extension
        ref: stream-php-7.3-rhel-8.2.0
        buildorder: 3
  artifacts:
    rpms:
    - php-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-bcmath-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-cli-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-common-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-dba-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-dbg-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-devel-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-embedded-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-enchant-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-fpm-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-gd-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-gmp-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-intl-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-json-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-ldap-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-mbstring-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-mysqlnd-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-odbc-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-opcache-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-pdo-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-pgsql-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-process-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-recode-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-snmp-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-soap-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-xml-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
    - php-xmlrpc-0:7.3.20-1.module+el8.2.0+7373+b272fdef.i686
  version: '20200912220409'
  arch: i686
...
